## org.eclipse.datatools.sqltools.result.internal.ui.export
Class ResultFormatWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.sqltools.result.internal.ui.export.ResultFormatWizardPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class ResultFormatWizardPage

extends org.eclipse.jface.wizard.WizardPage

The wizard page for export result set(s) wizard

Author:
  Dafan Yang

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ResultFormatWizardPage(IResultInstance result)` Will be used to save all result set objects in a result instance to an external file.
`ResultFormatWizardPage(IResultSetObject result)` Will be used to save a result set object to an external file.

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`java.lang.String` `getDelimiter()` Returns the delimiter
`java.lang.String` `getEncoding()` Returns the encoding
`java.lang.String` `getFileName()` Returns the file name
`IOutputterDescriptor` `getOutputterDesp()`
`int` `getOutputterIndex()` Returns the index of the outputter. The index may vary in different setion, but in a section, the index for a specific outputter wont change
`java.lang.String` `getUserDefinedDelimiter()` Returns the user defined delimiter
`boolean` `isXMLResult()`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### ResultFormatWizardPage

    public ResultFormatWizardPage(IResultSetObject result)

  Will be used to save a result set object to an external file.

  Parameters:
    `result` - the result set object

### ResultFormatWizardPage

    public ResultFormatWizardPage(IResultInstance result)

  Will be used to save all result set objects in a result instance to an external file.

  Parameters:
    `result` - the result instance

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

### getFileName

    public java.lang.String getFileName()

  Returns the file name

  Returns:
    the file name

### getOutputterIndex

    public int getOutputterIndex()

  Returns the index of the outputter.
  The index may vary in different setion, but in a section, the index for a specific outputter wont change

### getDelimiter

    public java.lang.String getDelimiter()

  Returns the delimiter

  Returns:
    delimiter the delimiter

### getUserDefinedDelimiter

    public java.lang.String getUserDefinedDelimiter()

  Returns the user defined delimiter

  Returns:
    the user defined delimiter

### getEncoding

    public java.lang.String getEncoding()

  Returns the encoding

  Returns:
    the encoding

### isXMLResult

    public boolean isXMLResult()

### getOutputterDesp

    public IOutputterDescriptor getOutputterDesp()